Jump to content
Flirc Forums
MrNice

RPM install not working for loooonnng time

Recommended Posts

Hi,

I run Fedora 23. 1 year ago Flirc v1.3.6 was already not possible to install, I run it from command line.

Today v1.4.3 is released. I'd like to run it (install or CL, no matter) but this last version is not available in the package list in the site

I can download the Linux 32bit from downloads (BTW one have to download it and open the release_notes.md file to learn that) but not x86_64 and I can't get it working.

./Flirc 
./Flirc: error while loading shared libraries: libXt.so.6: cannot open shared object file: No such file or directory

I know, Jason it very busy, fully booked, but after hard development and tests on a new release the last steps are not done or not properly, this doesn't highlight all that valuable work.

So, question: Anyone could help me?

 

 

Share this post


Link to post
Share on other sites

I know it's not ideal solution (64bit would be much better) but there's a way to also run 32bit app. You should be able to install 32bit libraries in your OS. I'm more of Arch Linux and Debian/Ubuntu user so I don't know how these packages are named in Fedora repositories.

Please look here:

It's for Ubuntu so you need to check how to install these libraries using yum or whatever other package manager you're using.

Share this post


Link to post
Share on other sites

I really need proper repo's for every distribution. I need to hire someone, I'm so oversubscribed it's ridiculous. Anyone knows of where to find a package maintainer, please let me know. Building a deb was painful enough.

Share this post


Link to post
Share on other sites

Thanks Yawor, unfortunately I am not enough skilled to go this way.

I would really like to help more and give exact instructions but my knowledge of Fedora package system and management is really small.

I've googled "fedora install 32 bit libraries" and there are some answers that look like they might be correct. Here's a link to first link from that query:

https://ask.fedoraproject.org/en/question/9556/how-do-i-install-32bit-libraries-on-a-64-bit-fedora/

Share this post


Link to post
Share on other sites

I really need proper repo's for every distribution. I need to hire someone, I'm so oversubscribed it's ridiculous. Anyone knows of where to find a package maintainer, please let me know. Building a deb was painful enough.

I saw this link and would be interested in packaging it privately for you

http://www.forums.fedoraforum.org/showthread.php?t=309284

I can't see flirc being allowed in the fedora repo as the flirc source code isn't public, this is a breech of the GPL3 license which your debian packages claim to be.

 

more info about me

https://admin.fedoraproject.org/pkgdb/packager/leigh123linux/

 

Share this post


Link to post
Share on other sites

Hi yawor,

What about the above?

You still need a package maintainer, isn't it?

As I said "RPM install not working for looooooooooooooooooooonnnnnng time"

Share this post


Link to post
Share on other sites

Hi MrNice,

You should ask Jason about that. I'm just helping on the forum in my spare time :).

You can try contacting him via PM or email (the address should be available on home page).

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...